//--------------------------------------------------------------------------------------------------------------
//--------------------------------------------------- ZONE TRIGGERS --------------------------------------------
//--------------------------------------------------------------------------------------------------------------

//--------------------------------------------------- MPBTriggers ----------------------------------------------

datablock TriggerData(mpbTrigger)
{
   tickPeriodMS = 50;
};

function mpbTrigger::onEnterTrigger(%data, %obj, %colObj)
{
   messageClient(%colObj.client, 'MsgClient', '\c5Vehicle Is Not Mountable.~wfx/powered/station_denied.wav');
}

function mpbTrigger::onLeaveTrigger(%data, %obj, %colObj)
{
   return;
}

function mpbTrigger::onTickTrigger(%data, %obj)
{
  // do nothing
}

//--------------------------------------------------- Outside Zone ---------------------------------------------
datablock TriggerData(outsideTrigger)
{
   tickPeriodMS = 50;
};

function outsideTrigger::onEnterTrigger(%data, %obj, %colObj)
{
   if (%colObj.client.isAIControlled() && (%colObj.client.team == game.offenseTeam || Game.class $= "CTFGame"))
      %colObj.client.inBase = false;
}

function outsideTrigger::onLeaveTrigger(%data, %obj, %colObj)
{
   // do nothing
}

function outsideTrigger::onTickTrigger(%data, %obj)
{
  // do nothing
}

//--------------------------------------------------- Inside Zone ----------------------------------------------
datablock TriggerData(insideTrigger)
{
   tickPeriodMS = 50;
};

function insideTrigger::onEnterTrigger(%data, %obj, %colObj)
{
   if (%colObj.client.isAIControlled() && (%colObj.client.team == game.offenseTeam || Game.class $= "CTFGame")) 
      %colObj.client.inBase = true;
}

function insideTrigger::onLeaveTrigger(%data, %obj, %colObj)
{
   // do nothing
}

function insideTrigger::onTickTrigger(%data, %obj)
{
  // do nothing
}

//--------------------------------------------------- Out Room Zone ---------------------------------------------
datablock TriggerData(outRoomTrigger)
{
   tickPeriodMS = 50;
};

function outRoomTrigger::onEnterTrigger(%data, %obj, %colObj)
{
   if (%colObj.client.isAIControlled() && %colObj.client.team == game.offenseTeam)
      %colObj.client.inRoom = false;
}

function outRoomTrigger::onLeaveTrigger(%data, %obj, %colObj)
{
   // do nothing
}

function outRoomTrigger::onTickTrigger(%data, %obj)
{
  // do nothing
}

//--------------------------------------------------- In Room Zone ----------------------------------------------
datablock TriggerData(inRoomTrigger)
{
   tickPeriodMS = 50;
};

function inRoomTrigger::onEnterTrigger(%data, %obj, %colObj)
{
   if (%colObj.client.isAIControlled() && %colObj.client.team == game.offenseTeam)
      %colObj.client.inRoom = true;
}

function inRoomTrigger::onLeaveTrigger(%data, %obj, %colObj)
{
   // do nothing
}

function inRoomTrigger::onTickTrigger(%data, %obj)
{
  // do nothing
}

