//Objectives were modified a bit for this map by Roberto since Lagg didn't send me the _extras file :(

//---------------------------------------------------------------------------------------------------------------------- AIO Attack Object ---
//totally rewritten so but will RAPE the object. used only for generators in siege - Lagg... 11-1-2003
function AIOAttackObject::weight(%this, %client, %level, %minWeight, %inventoryStr)
{
   // if were playing CnH, check who owns this
   if (!isObject(%this.targetObjectId) || %this.targetObjectId.isHidden() || %this.targetObjectId.team == %client.team)
      return 0;          
   
   //make sure the player is still alive!!!!!
   if (! AIClientIsAlive(%client))
   {
      return 0;
   }

   //don't continue objective if an object needs to be disabled first, useful for FF blocking bots - roberto
   if (%this.isDisabled !$= "")
   {
   		if (nameToId(%this.isDisabled).isEnabled())
   		{
   			return 0;
   		}
   }

   //---MISSION SPECIFIC 1---//

   if (Game.class $= "SiegeGame")
   {
    //don't do this if we'd walk into lava and get crispy
	if (vectorDist(%client.Player.getWorldBoxCenter(), %this.targetObjectId.getWorldBoxCenter()) > 350)
	{
		return 0;
	}

      if (%this.mode $= "inField" && %client.inBase) //don't attack solar panels if in base
      {
         return 0;
      }
      else if (%this.mode $= "inBaseAtt") //don't attack inside objects if we're outside
      {
		if (!%client.inBase && nameToId("EntranceFFGroup").powerCount > 8) //if we are outside and the entrance FFs are enabled we can't attack inside objects
		{
			return 0;
		}
		else if (!%client.inBase && nameToId("EntranceFFGroup").powerCount <= 8) //if we are not in base, entrance FF is down, and we are close to the gens, then attack
		{
			%distToGen = VectorDist(%this.targetObjectId.position, %client.player.position);

			if (%distToGen > 350)
			{
				return 0;
			}
		}
      }
   }

   //---MISSION SPECIFIC 1---//

   //lets see if we have a force field in our path
   InitContainerRadiusSearch(%client.player.getWorldBoxCenter(), 8, $TypeMasks::ForceFieldObjectType);
   %objSearch = containerSearchNext();
   if (%objSearch > 0)
   {
      %ffDis = %client.getPathDistance(%objSearch.getWorldBoxCenter());
      %myDis = %client.getPathDistance(%this.position);
      if (%ffDis < %myDis )
      {  
         if (%objSearch.isPowered() && %objSearch.team != %client.team)
            return 0;
      }
   }
      
   //no need to attack if the object is already destroyed
   if (!isObject(%this.targetObjectId) || %this.targetObjectId.getDamageState() $= "Destroyed")
      return 0;
   else
   {
      //if this bot is linked to a human who has issued this command, up the weight
      if (%this.issuedByClientId == %client.controlByHuman)
      {
         //make sure we have the potential to reach the minWeight
	 if (!AIODefault::QuickWeight(%this, %client, %level, %minWeight))
	 {
	    if ($AIWeightHumanIssuedCommand < %minWeight)
	       return 0;
	    else
	       %weight = $AIWeightHumanIssuedCommand;
         }
	 else
	 {
	    // calculate the default...
	    %weight = AIODefault::weight(%this, %client, %level, %inventoryStr);
	    if (%weight < $AIWeightHumanIssuedCommand)
	       %weight = $AIWeightHumanIssuedCommand;
	 }
      }
      else
      {
         //make sure we have the potential to reach the minWeight
	 if (!AIODefault::QuickWeight(%this, %client, %level, %minWeight))
	    return 0;

	 // calculate the default...

         %this.desiredEquipment = "Plasma PlasmaAmmo";
	 %weight = AIODefault::weight(%this, %client, %level, %inventoryStr);

      //---MISSION SPECIFIC 2---//
      //1.Copy this entire function to your mission extras script.
      //2.Put mission specific checks here to see if we should run this objective or not, or to decrease/increase weight. - roberto
      //Look in the SiegeScriptingNotes to see what Lagg used for a map for this objective and how you could modify it for yours.
      //---MISSION SPECIFIC 2---//
      }

      //if we are playing DnD, check if objective was completed already, if not give some extra :) - Lagg... 3-29-2004
      if (Game.class $= "DnDGame")
      {
         if (%this.targetObjectId.objectiveCompleted)
            %weight -= 400;
         else
            %weight += 200;
      }

      %targetObjDist = VectorDist(%client.player.getWorldBoxCenter(), %this.targetObjectId.getWorldBoxCenter());
      //if he can see it set accordingly - Lagg...
      if (%targetObjDist < 125)
      {
         //check for LOS
         %mask = $TypeMasks::TerrainObjectType | $TypeMasks::InteriorObjectType | $TypeMasks::TSStaticShapeObjectType |
           $TypeMasks::ForceFieldObjectType | $TypeMasks::VehicleObjectType;
         %hasLOS = !containerRayCast(%client.player.getMuzzlePoint($WeaponSlot), %this.targetObjectId.getWorldBoxCenter(), %mask, 0);

	      //if near genereator in ctf, cloakers and heavies have very high destroy gen weights- roberto
	      if (Game.class $= "CTFGame")
	      {
	      	if (%weight < 4000)
	      	{
	      		%weight += 150;
	      	}

	      	if (%targetObjDist < 75)
	      	{
	      		%weight += 100;
	      	}

	         if (%client.isCloakerOrHeavy && %weight <= 3890)
	         {
	         	//cloakers and heavies get very high weight
	         	%weight += 350;
	         }
	         else if (%client.player.getMountedImage($BackpackSlot) == 0 && %targetObjDist < 50 && %weight <= 3890)
	         {
	         	//if we're very close to the object and we have no pack, no use in grabbing the flag, just go destroy the object
	         	%weight += 350;
	         }

	      }

         if (%hasLOS && %weight <= 4000)
         {
            %weight += 250;
         }
      }

      //super high weights
	if (Game.class $= "CTFGame")
	{
      	%farIntoPath = false;

      	if (%this.followPath)
      	{
      		if (%this.locationIndex >= 2) //if we reached at least 3 markers then have high weight
      		{
      			%farIntoPath = true;
      		}
      		else if (%this.locationIndex >= 1 && %weight <= 4150) //if we reached at least 2 markers have increased weight
      		{
      			%weight += 150;
      		}
      	}

      	if ( %farIntoPath || (%client.isCloakerOrHeavy && %targetObjDist < 150) ) 
      	{
			%weight = $AIWeightHeavyGenAtt;
      	}
    }

      //add or decrease weight if the objective has inBase or inRoom fields - roberto
      //------------------------------------------------------------------------------
      if (%weight < 4150 )
      {
	      if (%this.inBase)
	      {
	         if (%client.inBase)
	         {
	            %weight += 100;
	         }
	      }

	      if (%this.inRoom)
	      {
	         if (%client.inRoom)
	         {
	            %weight += 200;
	         }
	      }
	  }
      //------------------------------------------------------------------------------

      return %weight;
   }
}





//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ AIO Missile Object +++
//                                                                            - Lagg... 4-12-2003

function AIOMissileObject::weight(%this, %client, %level, %minWeight, %inventoryStr)
{
   // if were playing CnH, check who owns this
   if (!isObject(%this.targetObjectId) || %this.targetObjectId.isHidden() || %this.targetObjectId.team == %client.team)
      return 0;

   //don't attack team 0 stuffs
   if (%this.targetObjectId.team <= 0)
      return 0;      
   
   //make sure the player is still alive!!!!!
   if (! AIClientIsAlive(%client))
      return 0;

   if (Game.class $= "SiegeGame")
   {
      //check the zone
      if (%client.inBase)
      {
         return 0;
      }

      if (%this.mode $= "EntFFUp" && nameToId("EntranceFFGroup").powerCount <= 6) //if enough force field gens were destroyed no need to destroy FF gen powered stuff
      {
         return 0;
      }

    //don't do this if we'd walk into lava and get crispy
	if (vectorDist(%client.Player.getWorldBoxCenter(), %this.targetObjectId.getWorldBoxCenter()) > 300)
	{
		return 0;
	}
   }

   //lets check the range on this one
   if (vectorDist(%client.Player.getWorldBoxCenter(), %this.getWorldBoxCenter()) < 50)
      return 0;
    
   //no need to attack if the object is already destroyed
   if (!isObject(%this.targetObjectId) || %this.targetObjectId.getDamageState() $= "Destroyed")
      return 0;
   else
   {
      //if this bot is linked to a human who has issued this command, up the weight
      if (%this.issuedByClientId == %client.controlByHuman)
      {
         //make sure we have the potential to reach the minWeight
         if (!AIODefault::QuickWeight(%this, %client, %level, %minWeight))
         {
            if ($AIWeightHumanIssuedCommand < %minWeight)
               return 0;
            else
               %weight = $AIWeightHumanIssuedCommand;
         }
         else
         {
            // calculate the default...
            %weight = AIODefault::weight(%this, %client, %level, %inventoryStr);
            if (%weight < $AIWeightHumanIssuedCommand)
               %weight = $AIWeightHumanIssuedCommand;
         }
      }
      else
      {
         //make sure we have the potential to reach the minWeight
         if (!AIODefault::QuickWeight(%this, %client, %level, %minWeight))
            return 0;

         // calculate the default...
         %weight = AIODefault::weight(%this, %client, %level, %inventoryStr);
      }

      //if we are playing DnD, check if objective was completed already, if not give some extra :) - Lagg... 3-29-2004
      if (Game.class $= "DnDGame")
      {
         if (%this.targetObjectId.objectiveCompleted)
            %weight -= 400;
         else
            %weight += 200;
      }

      return %weight + $emergencyTurretMissile[%client.team]; //return increased missile weight if needed
   }
}






//------------------------------------------------------------------------------------------------- AIO Mortar Destroy Object ---
function AIOMDestroyObject::weight(%this, %client, %level, %minWeight, %inventoryStr)
{
   // if were playing CnH, check who owns this
   if (!isObject(%this.targetObjectId) || %this.targetObjectId.isHidden() || %this.targetObjectId.team == %client.team)
      return 0;      
   
   //make sure the player is still alive!!!!!
   if (! AIClientIsAlive(%client))
      return 0;

   //don't continue objective if an object needs to be disabled first, useful for FF blocking bots - roberto
   if (%this.isDisabled !$= "")
   {
         if (nameToId(%this.isDisabled).isEnabled())
         {
            return 0;
         }
   }

   if (Game.class $= "SiegeGame")
   {

    //don't do this if we'd walk into lava and get crispy
	if (vectorDist(%client.Player.getWorldBoxCenter(), %this.targetObjectId.getWorldBoxCenter()) > 300)
	{
		return 0;
	}

      if (%this.mode $= "EntFFUp" && nameToId("EntranceFFGroup").powerCount <= 6) //if enough force field gens were destroyed no need to destroy FF gen powered stuff
      {
         return 0;
      }
      else if (%this.mode $= "inField" && %client.inBase) //if object is in field and we are in base we can't attack
      {
         return 0;
      }
      else if (%this.mode $= "inBaseAtt") //don't attack inside objects if we're outside
      {
		if (!%client.inBase && nameToId("EntranceFFGroup").powerCount > 8) //if we are outside and the entrance FFs are enabled we can't attack inside objects
		{
			return 0;
		}
		else if (!%client.inBase && nameToId("EntranceFFGroup").powerCount <= 8) //if we are not in base, entrance FF is down, and we are close to the gens, then attack
		{
			%distToGen = VectorDist(%this.targetObjectId.position, %client.player.position);

			if (%distToGen > 350)
			{
				return 0;
			}
		}
      }
   }
      
   //no need to attack if the object is already destroyed
   if (!isObject(%this.targetObjectId) || %this.targetObjectId.getDamageState() $= "Destroyed")
      return 0;
   else
   {
      //if this bot is linked to a human who has issued this command, up the weight
      if (%this.issuedByClientId == %client.controlByHuman)
      {
         //make sure we have the potential to reach the minWeight
         if (!AIODefault::QuickWeight(%this, %client, %level, %minWeight))
         {
            if ($AIWeightHumanIssuedCommand < %minWeight)
               return 0;
            else
               %weight = $AIWeightHumanIssuedCommand;
         }
         else
         {
            // calculate the default...
            %weight = AIODefault::weight(%this, %client, %level, %inventoryStr);
            if (%weight < $AIWeightHumanIssuedCommand)
               %weight = $AIWeightHumanIssuedCommand;
         }
      }
      else
      {
         //make sure we have the potential to reach the minWeight
         if (!AIODefault::QuickWeight(%this, %client, %level, %minWeight))
            return 0;

         // calculate the default...
         %weight = AIODefault::weight(%this, %client, %level, %inventoryStr);

         //---MISSION SPECIFIC 1---//
         //1.Copy this entire function to your mission extras script.
         //2.Put mission specific checks here to see if we should run this objective or not, or to decrease/increase weight. - roberto
         //Look in the SiegeScriptingNotes to see what Lagg used for a map for this objective and how you could modify it for yours.
         //---MISSION SPECIFIC 1---//
      }

      //if we are playing DnD, check if objective was completed already, if not give some extra :) - Lagg... 3-29-2004
      if (Game.class $= "DnDGame")
      {
         if (%this.targetObjectId.objectiveCompleted)
            %weight -= 400;
         else
            %weight += 200;
      }

		//increase weight if we have LOS on the object
      %targetObjDist = VectorDist(%client.player.getWorldBoxCenter(), %this.targetObjectId.getWorldBoxCenter());
      if (%targetObjDist < 125)
      {
         //check for LOS
         %mask = $TypeMasks::TerrainObjectType | $TypeMasks::InteriorObjectType | $TypeMasks::TSStaticShapeObjectType | $TypeMasks::ForceFieldObjectType | $TypeMasks::VehicleObjectType;
         %hasLOS = !containerRayCast(%client.player.getMuzzlePoint($WeaponSlot), %this.targetObjectId.getWorldBoxCenter(), %mask, 0);

         if (Game.class $= "CTFGame")
         {
         	if (%weight < 4000)
         	{
         	 	%weight += 250;
         	}

         	 if (%targetObjDist < 75)
         	 {
         	 	%weight += 100;
         	 }

	         if (%client.isCloakerOrHeavy && %weight <= 3890)
	         {
	         	//cloakers and heavies get very high weight
	         	%weight += 400;
	         }
	         else if (%client.player.getMountedImage($BackpackSlot) == 0 && %targetObjDist < 50 && %weight <= 3890)
	         {
	         	//if we're very close to the object and we have no pack, no use in grabbing the flag, just go destroy the object
	         	%weight += 400;
	         }

	         if ( !%this.targetObjectId.isPowered() && %weight <= 4000)
	         {
	         	%weight += 175;
	         }
         }

         if (%hasLOS && %weight <= 4000)
         {
            %weight += 250;
         }
      }
      else if (%targetObjDist < 150 && Game.class $= "CTFGame")
      {
      	%weight += 50;

         //cloakers, heavies, or bots with no packs get bonus weight
         if (%client.isCloakerOrHeavy || %client.player.getMountedImage($BackpackSlot) == 0)
         {
         	%weight += 100;
         }

         if ( !%this.targetObjectId.isPowered() && %weight <= 4000)
         {
         	%weight += 100;
         }
      }

      //add or decrease weight if the objective has inBase or inRoom fields - roberto
      //------------------------------------------------------------------------------
      if (%this.inBase)
      {
         if (%client.inBase)
         {
            if (%weight <= 4000) { %weight += 100; }
         }
      }

      if (%this.inRoom)
      {
         if (%client.inRoom)
         {
            if (%weight <= 4000) { %weight += 200; }
         }
      }
      //------------------------------------------------------------------------------

      return %weight;
   }
}






//------------------------------------------------------------------------------------------------- AIO Mortar Object ---
//Modified so bot gets LOS to target before firing. Fixed a lot of stuff here.          - Lagg...

function AIOMortarObject::weight(%this, %client, %level, %minWeight, %inventoryStr)
{
   // if were playing CnH, check who owns this
   if (!isObject(%this.targetObjectId) || %this.targetObjectId.isHidden() || %this.targetObjectId.team == %client.team)
      return 0;
   
   //make sure the player is still alive!!!!!
   if (! AIClientIsAlive(%client))
      return 0;

   if (Game.class $= "SiegeGame")
   {
      //check the zone
      if (%client.inBase)
      {
         return 0;
      }

      if (%this.mode $= "EntFFUp" && nameToId("EntranceFFGroup").powerCount <= 6) //if enough force field gens were destroyed no need to destroy FF gen powered stuff
      {
         return 0;
      }

    //don't do this if we'd walk into lava and get crispy
	if (vectorDist(%client.Player.getWorldBoxCenter(), %this.targetObjectId.getWorldBoxCenter()) > 300)
	{
		return 0;
	}
   }
      
   //no need to attack if the object is already destroyed
   if (%this.targetObjectId.getDamageState() $= "Destroyed")
      return 0;
   else
   {
      //if this bot is linked to a human who has issued this command, up the weight
      if (%this.issuedByClientId == %client.controlByHuman)
      {
         //make sure we have the potential to reach the minWeight
    if (!AIODefault::QuickWeight(%this, %client, %level, %minWeight))
    {
       if ($AIWeightHumanIssuedCommand < %minWeight)
          return 0;
       else
          %weight = $AIWeightHumanIssuedCommand;
    }
    else
    {
       // calculate the default...
       %weight = AIODefault::weight(%this, %client, %level, %inventoryStr);
       if (%weight < $AIWeightHumanIssuedCommand)
          %weight = $AIWeightHumanIssuedCommand;
    }
      }
      else
      {
         //error("AIOMortarObject::weight - %minWeight = " @ %minWeight);//---------------------------------------------- NOTES HERE LAGG ***
         //make sure we have the potential to reach the minWeight
         if (!AIODefault::QuickWeight(%this, %client, %level, %minWeight))
       return 0;

         //check equipment requirement / if we are too far from inventory forget it
    %needsEquipment = AINeedEquipment(%this.equipment, %client);
         if (%needsEquipment)
         {
            %needArmor = AIMustUseRegularInvStation(%this.equipment, %client);
            %result = AIFindClosestInventory(%client, %needArmor);
            %closestInv = getWord(%result, 0);
            %closestDist = getWord(%result, 1);

            if (%closestDist > 250 || (%needArmor && %closestDist > 150))
               return 0;
         }  

    // calculate the default...
    %weight = AIODefault::weight(%this, %client, %level, %inventoryStr);
      }

      //if we are playing DnD, check if objective was completed already, if not give some extra :) - Lagg... 3-29-2004
      if (Game.class $= "DnDGame")
      {
         if (%this.targetObjectId.objectiveCompleted)
            %weight -= 400;
         else
            %weight += 200;
      }

      if (%this.clientLevel1 > 0  && %level == 1 && %this.clientLevel1 == %client)
      {
         if (VectorDist(%client.player.getWorldBoxCenter(), %this.targetObjectId.getWorldBoxCenter()) < 300)
         {

            //check for LOS
            %mask = $TypeMasks::TerrainObjectType | $TypeMasks::InteriorObjectType | $TypeMasks::TSStaticShapeObjectType |
              $TypeMasks::ForceFieldObjectType | $TypeMasks::VehicleObjectType;
            %hasLOS = !containerRayCast(%client.player.getMuzzlePoint($WeaponSlot), %this.targetObjectId.getWorldBoxCenter(), %mask, 0);

            if (%hasLOS)
               %weight += 200;
         }
      }

      //if we are to close, reconsider the task
      if (VectorDist(%client.player.getWorldBoxCenter(), %this.targetObjectId.getWorldBoxCenter()) < 60)
         %weight -= 400;

      return %weight;
   }
}


//----------------------------------------------------------------------------------------------- AIO Destroy Object --- (Last Update 3-30-2004)
//place objective marker in spot you want bot to stand and destroy for sentry turrets and hard to
//reach spots. basically same as attackobject.                                                - Lagg... 3-26-2003

function AIODestroyObject::weight(%this, %client, %level, %minWeight, %inventoryStr)
{
   // if were playing CnH, check who owns this
   if (!isObject(%this.targetObjectId) || %this.targetObjectId.isHidden() || %this.targetObjectId.team == %client.team)
      return 0;

   //don't attack team 0 stuffs
   if (%this.targetObjectId.team <= 0)
      return 0;      
   
   //make sure the player is still alive!!!!!
   if (! AIClientIsAlive(%client))
      return 0;

   //don't continue objective if an object needs to be disabled first, useful for FF blocking bots - roberto
   if (%this.isDisabled !$= "")
   {
         if (nameToId(%this.isDisabled).isEnabled())
         {
            return 0;
         }
   }

   if (Game.class $= "SiegeGame")
   {

    //don't do this if we'd walk into lava and get crispy
	if (vectorDist(%client.Player.getWorldBoxCenter(), %this.targetObjectId.getWorldBoxCenter()) > 300)
	{
		return 0;
	}

      if (%this.mode $= "EntFFUp" && nameToId("EntranceFFGroup").powerCount <= 6) //if enough force field gens were destroyed no need to destroy FF gen powered stuff
      {
         return 0;
      }
      else if (%this.mode $= "inField" && %client.inBase) //if object is in field and we are in base we can't attack
      {
         return 0;
      }
      else if (%this.mode $= "inBaseAtt") //don't attack inside objects if we're outside
      {
		if (!%client.inBase && nameToId("EntranceFFGroup").powerCount > 8) //if we are outside and the entrance FFs are enabled we can't attack inside objects
		{
			return 0;
		}
		else if (!%client.inBase && nameToId("EntranceFFGroup").powerCount <= 8) //if we are not in base, entrance FF is down, and we are close to the gens, then attack
		{
			%distToGen = VectorDist(%this.targetObjectId.position, %client.player.position);

			if (%distToGen > 350)
			{
				return 0;
			}
		}
      }
   }
      
   //no need to attack if the object is already destroyed
   if (!isObject(%this.targetObjectId) || %this.targetObjectId.getDamageState() $= "Destroyed")
      return 0;
   else
   {
      //if this bot is linked to a human who has issued this command, up the weight
      if (%this.issuedByClientId == %client.controlByHuman)
      {
         //make sure we have the potential to reach the minWeight
         if (!AIODefault::QuickWeight(%this, %client, %level, %minWeight))
         {
            if ($AIWeightHumanIssuedCommand < %minWeight)
               return 0;
            else
               %weight = $AIWeightHumanIssuedCommand;
         }
         else
         {
            // calculate the default...
            %weight = AIODefault::weight(%this, %client, %level, %inventoryStr);
            if (%weight < $AIWeightHumanIssuedCommand)
               %weight = $AIWeightHumanIssuedCommand;
         }
      }
      else
      {
         //make sure we have the potential to reach the minWeight
         if (!AIODefault::QuickWeight(%this, %client, %level, %minWeight))
            return 0;

         // calculate the default...
                        %this.desiredEquipment = "Plasma PlasmaAmmo";
         %weight = AIODefault::weight(%this, %client, %level, %inventoryStr);

         //---MISSION SPECIFIC 1---//
         //1.Copy this entire function to your mission extras script.
         //2.Put mission specific checks here to see if we should run this objective or not, or to decrease/increase weight. - roberto
         //Look in the SiegeScriptingNotes to see what Lagg used for a map for this objective and how you could modify it for yours.
         //---MISSION SPECIFIC 1---//
      }

      //if we are playing DnD, check if objective was completed already, if not give some extra :) - Lagg... 3-29-2004
      if (Game.class $= "DnDGame")
      {
         if (%this.targetObjectId.objectiveCompleted)
            %weight -= 400;
         else
            %weight += 200;
      }

		//increase weight if we have LOS on the object
      %targetObjDist = VectorDist(%client.player.getWorldBoxCenter(), %this.targetObjectId.getWorldBoxCenter());
      if (%targetObjDist < 125)
      {
         //check for LOS
         %mask = $TypeMasks::TerrainObjectType | $TypeMasks::InteriorObjectType | $TypeMasks::TSStaticShapeObjectType | $TypeMasks::ForceFieldObjectType | $TypeMasks::VehicleObjectType;
         %hasLOS = !containerRayCast(%client.player.getMuzzlePoint($WeaponSlot), %this.targetObjectId.getWorldBoxCenter(), %mask, 0);

         if (Game.class $= "CTFGame")
         {
         	if (%weight <= 4000)
         	{
         	 	%weight += 250;
         	}

         	 if (%targetObjDist < 75)
         	 {
         	 	%weight += 100;
         	 }

	         if (%client.isCloakerOrHeavy && %weight <= 3890)
	         {
	         	//cloakers and heavies get very high weight
	         	%weight += 400;
	         }
	         else if (%client.player.getMountedImage($BackpackSlot) == 0 && %targetObjDist < 50 && %weight <= 3890)
	         {
	         	//if we're very close to the object and we have no pack, no use in grabbing the flag, just go destroy the object
	         	%weight += 400;
	         }

	         if ( !%this.targetObjectId.isPowered() && %weight <= 4000)
	         {
	         	%weight += 175;
	         }
         }

         if (%hasLOS && %weight <= 4000)
         {
            %weight += 250;
         }
      }
      else if (%targetObjDist < 150 && Game.class $= "CTFGame")
      {
      	%weight += 50;

         //cloakers, heavies, or bots with no packs get bonus weight
         if (%client.isCloakerOrHeavy || %client.player.getMountedImage($BackpackSlot) == 0)
         {
         	%weight += 100;
         }

         if ( !%this.targetObjectId.isPowered() && %weight <= 4000)
         {
         	%weight += 100;
         }
      }

      //add or decrease weight if the objective has inBase or inRoom fields - roberto
      //------------------------------------------------------------------------------
      if (%this.inBase)
      {
         if (%client.inBase)
         {
            if (%weight <= 4000) { %weight += 100; }
         }
      }

      if (%this.inRoom)
      {
         if (%client.inRoom)
         {
            if (%weight <= 4000) { %weight += 200; }
         }
      }
      //------------------------------------------------------------------------------

      return %weight;
   }
}





//----------------------------------------------------------------------------------------------- AIO PilotShike--- 
function AIOPilotShrike::weight(%this, %client, %level, %minWeight, %inventoryStr)
{   
   //make sure the player is still alive!!!!!
   if (! AIClientIsAlive(%client))
      return 0;

   // For CnH games, we set a target object and set def or offense (can be used for any gameType)
   if (%this.targetObjectId > 0 && %this.clientLevel1 != %client)
   {
      if (!isObject(%this.targetObjectId) || %this.targetObjectId.isHidden())
         return 0;

      //if offense and we own target object quit
      if (%this.offense > 0)
      {
         if (%this.targetObjectId.team == %client.team || %this.targetObjectId.getDamageState() $= "Destroyed")
            return 0;
      }
      //if defense and we own it must be powered and not destroyed, or if enemy it must be destroyed or not powered
      else if (%this.defense > 0)
      {
         if (%this.targetObjectId.team == %client.team)
         {
            if (!%this.targetObjectId.isPowered() || %this.targetObjectId.getDamageState() $= "Destroyed")
               return 0;
         }
         else
         { 
            if (%this.targetObjectId.isPowered() && %this.targetObjectId.getDamageState() !$= "Destroyed")
              return 0;
         }
      }        
   }

   //check if flight path exists
   if (Game.class $= "SiegeGame")
      %team = Game.offenseTeam == %client.team ? 1 : 2;
   else
      %team = %client.team;

   if(! isObject(nameToId("T" @ %team @ "ShrikePath" @ firstWord(%this.paths))))
   {
      error("AIOPilotShrike Error! - No Paths field specified in AIOPilotShrike objective Marker");
      return 0;
   }

   //do a quick check to disqualify this objective if it can't meet the minimum weight
   if (!AIODefault::QuickWeight(%this, %client, %level, %minWeight))
   {
      if (%this.targetObjectId > 0 && %this.issuedByClientId == %client.controlByHuman)
      {
         if ($AIWeightHumanIssuedCommand < %minWeight)
       return 0;
      }
      else
         return 0;
   }

   //check for Vehicle station near buy of forget it if we are not mounted yet or didn't just buy - Lagg...
   //as of right now the Objective Marker must be place with in 75 m of the vpad to buy from - Lagg ... *************

   if (!%client.player.isMounted() && !%client.justBought)
   {
      %clVs = AIFindClosestVStation(%client, %this.position);
      if (%clVs > 0)
      {
         %closestVs = getWord(%clVs, 0);
         %closestVsDist = getWord(%clVs, 1);
         if (%closestVsDist > 6)
         {
            //error("AIOPilotShrike Error! - Marker More Than 15Meters From A Team Vehicle Station");
            return 0;
         }

         if (VectorDist (%client.player.position, %this.position) > 300)//---* close to VPad or return 0 *---
            return 0;
      }
      else
         return 0;

      //see if this vehicle is allowed at the VPad in question
      if (%closestVs.ScoutFlyer $= "Removed")
      {
         error("AIOPilotShrike Error! - ScoutFlyer is not allowed at VPad :(");
         return 0;
      }

      //check if any of vehicle type are availible
      %blockName = "ScoutFlyer";
      if (!vehicleCheck(%blockName, %client.team))
      {
         //error("AIOPilotShrike Error! - NO SHRIKES Left to buy " @ getTaggedString(%client.name));
         return 0;
      }
   }

   %weight = AIODefault::weight(%this, %client, %level, %inventoryStr);       
   
   //never bump a shrike pilot from his ride
   if (%this.clientLevel1 > 0  && %level == 1 && %this.clientLevel1 != %client)
   {
      return 0;
   }
   else if (%this.clientLevel1 == %client)
   {
      %weight = 10000;
   }

   //---MISSION SPECIFIC 1---//
   if (Game.class $= "SiegeGame")
   {
      if (%this.mode $= "EntFFUp" && nameToId("EntranceFFGroup").powerCount <= 6) //if enough force field gens were destroyed no need to pilot this vehicle
      {
         return 0;
      }
   }
   //---MISSION SPECIFIC 1---//

   return %weight;
}




//----------------------------------------------------------------------------------------------- AIO BombingRun--- 
function AIOBombingRun::weight(%this, %client, %level, %minWeight, %inventoryStr)
{
   //make sure the player is still alive!!!!!
   if (! AIClientIsAlive(%client))
      return 0;

   // For CnH games, we set a target object and set def or offense (can be used for any gameType)
   if (%this.targetObjectId > 0 && %this.clientLevel1 != %client)
   {
      if (!isObject(%this.targetObjectId) || %this.targetObjectId.isHidden())
         return 0;

      //if offense and we own target object quit
      if (%this.offense > 0)
      {
         if (%this.targetObjectId.team == %client.team || %this.targetObjectId.getDamageState() $= "Destroyed")
            return 0;
      }
      //if defense and we own it must be powered and not destroyed, or if enemy it must be destroyed or not powered
      else if (%this.defense > 0)
      {
         if (%this.targetObjectId.team == %client.team)
         {
            if (!%this.targetObjectId.isPowered() || %this.targetObjectId.getDamageState() $= "Destroyed")
               return 0;
         }
         else
         { 
            if (%this.targetObjectId.isPowered() && %this.targetObjectId.getDamageState() !$= "Destroyed")
              return 0;
         }
      }        
   }
      
   //check if flight path exists
   if (Game.class $= "SiegeGame")
      %team = Game.offenseTeam == %client.team ? 1 : 2;
   else
      %team = %client.team;

   if(! isObject(nameToId("T" @ %team @ "BomberPath" @ firstWord(%this.paths))))
   {
      error("AIOBombingRun Error! - No Paths field specified in AIOBomberPath objective Marker ie... paths = 1 3 5");
      return 0;
   }

   //do a quick check to disqualify this objective if it can't meet the minimum weight
   if (!AIODefault::QuickWeight(%this, %client, %level, %minWeight))
   {
      if (%this.targetObjectId > 0 && %this.issuedByClientId == %client.controlByHuman)
      {
         if ($AIWeightHumanIssuedCommand < %minWeight)
       return 0;
      }
      else
    return 0;
   }

   //check for Vehicle station near buy of forget it if we are noy mounted yet - Lagg...
   //would like to add a check for unpiloted vehicles with passengers that need a ride (someday - DONE) - Lagg... 5-4-2005
   if (!%client.player.isMounted() && !%client.justBought)
   {
      %blockName = BomberFlyer;

      //check to see if we can steal a ride
      %abV = aiSearchForRide(%client, %blockName, %this.position, 250, %this.mode);

      //modes = "NoBuy" and "PassengerOnly" (self explanatory)
      if (%abv <= 0 && (%this.mode $= "NoBuy" || %this.mode $= "PassengerOnly"))
         return 0;

      if (%abV <= 0)
      {
         %clVs = AIFindClosestVStation(%client, %this.position);
         if (%clVs > 0)
         {
            %closestVs = getWord(%clVs, 0);
            %closestVsDist = getWord(%clVs, 1);
            if (%closestVsDist > 6)
               return 0;
            if (VectorDist (%client.player.position, %this.position) > 300)
               return 0;
         }
         else
            return 0;

         //see if this vehicle is allowed at the VPad in question
         if (%closestVs.BomberFlyer $= "Removed")
         {
            error("AIOBombingRun Error! - Bombers Not Allowed At This Vehicle Pad");
            return 0;
         }

         //check if any of vehicle type are availible
         if (!vehicleCheck(%blockName, %client.team))
            return 0;
      }
   }

   %weight = AIODefault::weight(%this, %client, %level, %inventoryStr);

   //never bump a pilot off his ride
   if (%this.clientLevel1 > 0  && %level == 1 && %this.clientLevel1 != %client)
   {
      return 0;
   }
   else if (%this.clientLevel1 == %client)
   {
      %weight = 10000;
   }

   //---MISSION SPECIFIC 1---//
   if (Game.class $= "SiegeGame")
   {
      if (%this.mode $= "EntFFUp" && nameToId("EntranceFFGroup").powerCount <= 6) //if enough force field gens were destroyed no need to pilot this vehicle
      {
         return 0;
      }
   }
   //---MISSION SPECIFIC 1---//

   return %weight;
}



//----------------------------------------------------------------------------------------------- AIO NeedARide--- 
function AIONeedARide::weight(%this, %client, %level, %minWeight, %inventoryStr)
{
   //make sure the player is still alive!!!!!
   if (! AIClientIsAlive(%client))
      return 0;

   // For CnH games, we set a target object and set def or offense (can be used for any gameType)
   if (%this.targetObjectId > 0 && %this.clientLevel1 != %client)
   {
      if (!isObject(%this.targetObjectId) || %this.targetObjectId.isHidden())
         return 0;

      //if offense and we own target object quit
      if (%this.offense > 0)
      {
         if (%this.targetObjectId.team == %client.team || %this.targetObjectId.getDamageState() $= "Destroyed")
            return 0;
      }
      //if defense and we own it must be powered and not destroyed, or if enemy it must be destroyed or not powered
      else if (%this.defense > 0)
      {
         if (%this.targetObjectId.team == %client.team)
         {
            if (!%this.targetObjectId.isPowered() || %this.targetObjectId.getDamageState() $= "Destroyed")
               return 0;
         }
         else
         { 
            if (%this.targetObjectId.isPowered() && %this.targetObjectId.getDamageState() !$= "Destroyed")
              return 0;
         }
      }        
   }

   //check if flight path exists
   if (Game.class $= "SiegeGame")
      %team = Game.offenseTeam == %client.team ? 1 : 2;
   else
      %team = %client.team;

   if(! isObject(nameToId("T" @ %team @ "HAPCPath" @ firstWord(%this.paths))))
   {
      //if no hapc path than use bomber path
      if(! isObject(nameToId("T" @ %team @ "BomberPath" @ firstWord(%this.paths))))
      {
         error("AIONeedARide Error! - No Paths field specified in AIONeedARide objective Marker");
         return 0;
      }
   }

   //do a quick check to disqualify this objective if it can't meet the minimum weight
   if (!AIODefault::QuickWeight(%this, %client, %level, %minWeight))
   {
      if (%this.targetObjectId > 0 && %this.issuedByClientId == %client.controlByHuman)
      {
         if ($AIWeightHumanIssuedCommand < %minWeight)
       return 0;
      }
      else
         return 0;
   }

   //check for Vehicle station near buy of forget it if we are noy mounted yet - Lagg...
   //would like to add a check for unpiloted vehicles with passengers that need a ride (someday - DONE) - Lagg... 5-4-2005
   if (!%client.player.isMounted() && !%client.justBought)
   {
      %blockName = HAPCFlyer;

      //check to see if we can find a ride, if we found one stay with it
      if (%this.clientLevel1 == %client)
         %mode = NoBuy;
      else
         %mode = %this.mode;
      %abV = aiSearchForRide(%client, %blockName, %this.position, 250, %mode); 

      if (%abv <= 0 && (%this.mode $= "NoBuy" || %this.mode $= "PassengerOnly"))
         return 0;

      if (%abV <= 0)
      {
         %clVs = AIFindClosestVStation(%client, %this.position);
         if (%clVs > 0)
         {
            %closestVs = getWord(%clVs, 0);
            %closestVsDist = getWord(%clVs, 1);
            if (%closestVsDist > 6)
            {
               //error("AIONeedARide Error! - Marker More Than 15Meters From A Team Vehicle Station");
               return 0;
            }
            if (VectorDist (%client.player.position, %this.position) > 300)//---* close to VPad or return 0 *---
               return 0;
         }
         else
            return 0;

         //see if this vehicle is allowed at the VPad in question
         if (%closestVs.HAPCFlyer $= "Removed")
         {
            error("AIONeedARide Error! - HAPC Not Allowed At This Vehicle Pad");
            return 0;
         }

         //check if any of vehicle type are availible
         if (!vehicleCheck(%blockName, %client.team))
            return 0;
      }
   }

   %weight = AIODefault::weight(%this, %client, %level, %inventoryStr);

   //never bump a pilot off his ride
   if (%this.clientLevel1 > 0  && %level == 1 && %this.clientLevel1 != %client)
   {
      return 0;
   }
   if (%this.clientLevel1 == %client)
   {
      %weight = 10000;
   }

   //---MISSION SPECIFIC 1---//
   //1.Copy this entire function to your mission extras script.
   //2.Put mission specific checks here to see if we should run this objective or not, or to decrease/increase weight. - roberto
   //Look in the SiegeScriptingNotes to see what Lagg used for a map for this objective and how you could modify it for yours.
   //---MISSION SPECIFIC 1---//

   return %weight;
}




//--------------------------------------------------------------------------------------------- AIO Touch Object ---
//Heavily modified Lagg... 5-17-2005

function AIOTouchObject::weight(%this, %client, %level, %minWeight, %inventoryStr)
{
   //make sure the player is still alive!!!!!
   if (! AIClientIsAlive(%client))
   {
      return 0;
   }

   if (!AIODefault::QuickWeight(%this, %client, %level, %minWeight))
   {
      return 0;
   }

   switch$ (%this.mode)
   {
      case "TouchFlipFlop":
         if(%this.targetObjectId.team == %client.team || %this.targetObjectId.isHidden())
         {
           return 0;
         }

         //don't even try to touch a flip flop surrounded by a forcefield - Lagg...
         if ($CurrentMissionType $= "Siege")
         {
            InitContainerRadiusSearch(%this.targetObjectId.position, 14, $TypeMasks::ForceFieldObjectType);
            %objSearch = containerSearchNext();
            if (%objSearch > 0 && %objSearch.isPowered() && %objSearch.team != %client.team)
            {
               return 0;
            }

            //---MISSION SPECIFIC 1---//
            if (nameToId("ObjectiveGroup").powerCount > 0 || !%client.inBase) //don't touch if objective FF group is powered or we aren't in base
            {
               return 0;
            }
            //---MISSION SPECIFIC 1---//
         }
        return AIODefault::weight(%this, %client, %level, %inventoryStr);
      case "FlagGrab":
         if (! %this.targetObjectId.isHome)
            {
              return 0;
            }
         else
            {
            //if near genereator in ctf, cloakers and heavies have low priority of grabbing flag because we want them destroying gens instead
            if (Game.class $= "CTFGame")
            {
               %isHeavyOrCloaker = (%client.player.getInventory("CloakingPack") > 0 || %client.player.getArmorSize() $= "Heavy");

               if (%isHeavyOrCloaker && %this.genNear)
               {
                  return 3000;
               }
            }

            return AIODefault::weight(%this, %client, %level, %inventoryStr);
            }
      case "FlagDropped":
         if ((%this.targetObjectId.isHome) || (%this.targetObjectId.carrier !$= "")) 
            {
            return 0;
            }
         else
            {
                //we want to get the team trying to cap acting a little better than the Defending team - Lagg...
                if (%client.team != %this.targetObjectId.team)
                {
                    %weight = AIODefault::weight(%this, %client, %level, %inventoryStr);
                    %distance = %client.getPathDistance(%this.getWorldBoxCenter());
                    
                    //if we're holding the flag don't go too far to retrieve our dropped flag, reaching our base is more important - roberto
                    if (%client.player.holdingFlag && %distance > 100)
                    {
                        return 0;
                    }
                    
                    if (%distance < 0)
                    {
                        %distance = 32767;
                    }

                    //see if we're within 300 m
                    if (%distance < 300)
                    {
                        %weight += 100;
                    }

                    //see if we're within 200 m
                    if (%distance < 200)
                    {
                        %weight += 100;
                    }

                    //see if we're within 100 m
                    if (%distance < 100)
                    {
                        %weight += 100;
                    }

                    //see if we're within 45 m
                    if (%distance < 45)
                    {
                        %weight += 100;
                    }

                    return %weight;
                }
                else
                {
                    return AIODefault::weight(%this, %client, %level, %inventoryStr);
                }
            }
      case "FlagCapture":
                  if (%this.targetObjectId.carrier != %client.player)
                  {
                     return 0;
                  }

                  //find our home flag location
                  %homeTeam = %client.team;
                  %homeFlag = $AITeamFlag[%homeTeam];
                  %this.location = %homeFlag.originalPosition;

                        //never bump the pilot with the flag - Lagg...
                        if (%client.player.isMounted())
                        {
                           return 10000;
                        }
                        else
                        {
                     return AIODefault::weight(%this, %client, %level, %inventoryStr);
                  }
   }
   return 0;
}






//----------------------------------------------------------------------------------------------- AIO Deploy Equipment ---
//modified here so bot will continue deploying if has equip and not get bumped
//can be set at a realistic weight now, like 3400               - Lagg... 4-12-2003
//if you want this to be around a deployed MPB, just set the dynamic field "mode = MPB" and he will deploy only
//if a team deployed MPB is within 150 meters of this objectives location.

//If the function ShapeBaseImageData::testInvalidDeployConditions() changes at all, those changes need to be reflected here

function AIODeployEquipment::weight(%this, %client, %level, %minWeight, %inventoryStr)
{
   //make sure the player is still alive!!!!!
   if (! AIClientIsAlive(%client))
      return 0;

   //make sure the deploy objective is valid
   if (%this.isInvalid)
      return 0;

   if (%this.mode $= "MPB")
   {      
      %result = AIFindDeployedMPB(%client);
      %clM = getWord(%result, 0);
      if (!isObject(%clM) || VectorDist(%clM.getWorldBoxCenter(), %this.position) > 150)
         return 0;
   }

   //---MISSION SPECIFIC 1---//
   if (Game.class $= "SiegeGame")
   {
      if (%this.mode $= "inBaseAtt") //don't attack inside objects if we're outside
      {
		if (!%client.inBase && nameToId("EntranceFFGroup").powerCount > 8) //if we are outside and the entrance FFs are enabled we can't deploy inside stuff
		{
			return 0;
		}
		else if (!%client.inBase && nameToId("EntranceFFGroup").powerCount <= 8) //if we are not in base, entrance FF is down, and we are close to the gens, then deploy
		{
			%distToObjective = VectorDist(%this.position, %client.player.position);

			if (%distToObjective > 350)
			{
				return 0;
			}
		}
      }
      else if (%this.mode $= "EntFFDown" && nameToId("EntranceFFGroup").powerCount > 8) //don't deploy these unless force field gens are down
      {
      	return 0;
      }
   }
   //---MISSION SPECIFIC 1---//

   //for GenDefend mode, only deploy equipment if our gen was destroyed last time and we still didn't deploy everything we needed - roberto
   if (Game.class $= "CTFGame" && %this.GenDefend == true)
   {
       if ($AIGenDisabledCount[%client.team] <= 0)
       {
       	   return 0; //stop if we already deployed everything for gen defense
       }
   }

   // this checks for CnH and works with the offense/defense tags associated with each AIObjective Marker
   //if offensive the deply is assumed to be camping a destroyed object - Lagg-Alot... 7/18/2009
   if (%this.targetObjectId > 0  && %this.defense > 0)
   {
      if (!isObject(%this.targetObjectId) || %this.targetObjectId.isHidden() || %this.targetObjectId.team != %client.team)
         return 0;

      //don't defend unless the entire group is powered
      if (%this.targetObjectId.getGroup().powerCount <= 0)
         return 0;
   }
   else if (%this.targetObjectId > 0  && %this.offense > 0)
   {
      if (!isObject(%this.targetObjectId) || %this.targetObjectId.isHidden() || %this.targetObjectId.team == %client.team)
         return 0;

      //don't camp if target object is not destroyed
      if (%this.targetObjectId.getDamageState() !$= "Destroyed")
         return 0;
   }

   //first, make sure we haven't deployed too many...
   if (%this.equipment $= "TurretOutdoorDeployable" || %this.equipment $= "TurretIndoorDeployable")
      %maxAllowed = countTurretsAllowed(%this.equipment);
   else
      %maxAllowed = $TeamDeployableMax[%this.equipment];

   if ($TeamDeployedCount[%client.team, %this.equipment] >= %maxAllowed)
      return 0;

   //if badly damaged and we have a repair pack, don't waste time
   %damage = %client.player.getDamagePercent();
   if (%client.player.getInventory("RepairPack") > 0 && %damage > 0.3)
      return 0;

   //now make sure there are no other items in the way...
   InitContainerRadiusSearch(%this.location, $MinDeployableDistance, $TypeMasks::VehicleObjectType |
  	                                             $TypeMasks::MoveableObjectType |
  	                                             $TypeMasks::StaticShapeObjectType |
  	                                             $TypeMasks::TSStaticShapeObjectType | 
  	                                             $TypeMasks::ForceFieldObjectType |
  	                                             $TypeMasks::ItemObjectType | 
  	                                             $TypeMasks::PlayerObjectType | 
  	                                             $TypeMasks::TurretObjectType);
      %objSearch = containerSearchNext();

      //make sure we're not invalidating the deploy location with the client's own player object
      if (%objSearch == %client.player)
         %objSearch = containerSearchNext();

      //did we find an object which would block deploying the equipment?
      if (isObject(%objSearch))
         return 0;

   //now run individual checks based on the equipment type...
   if (%this.equipment $= "TurretIndoorDeployable")
   {
      //check if there's another turret close to the deploy location
      InitContainerRadiusSearch(%this.location, $TurretIndoorSpaceRadius, $TypeMasks::StaticShapeObjectType);
      %found = containerSearchNext();
      if (isObject(%found))
      {
         %foundName = %found.getDataBlock().getName();
 	 if ((%foundName $= TurretDeployedFloorIndoor) || (%foundName $= "TurretDeployedWallIndoor") ||
           (%foundName $= "TurretDeployedCeilingIndoor") || (%foundName $= "TurretDeployedOutdoor"))
 	    return 0;
      }
 
      //now see if there are too many turrets in the area...
      %highestDensity = 0;
      InitContainerRadiusSearch(%this.location, $TurretIndoorSphereRadius, $TypeMasks::StaticShapeObjectType);
      %found = containerSearchNext();
      while (isObject(%found))
      {
         %foundName = %found.getDataBlock().getName();
 	 if ((%foundName $= "TurretDeployedFloorIndoor") || (%foundName $= "TurretDeployedWallIndoor") ||
           (%foundName $= "TurretDeployedCeilingIndoor") || (%foundName $= "TurretDeployedOutdoor"))
 	 {
 	    //found one
 	    %numTurretsNearby++;//+++++++++++++++++++++++++++++++++++++++++ ahh review this - Lagg... +++
            %nearbyDensity = testNearbyDensity(%found, $TurretIndoorSphereRadius);
 	    if (%nearbyDensity > %highestDensity)
 	       %highestDensity = %nearbyDensity;
         }
 	 %found = containerSearchNext();
      }
 
      if (%numTurretsNearby > %highestDensity)
         %highestDensity = %numTurretsNearby;
 
      //now see if the area is already saturated
      if (%highestDensity > $TurretIndoorMaxPerSphere)
         return 0;
   }
   //--------------------left off here - Lagg...+++++++++++++++++++++++++
 
 	else if (%this.equipment $= "TurretOutdoorDeployable")
 	{
 		//check if there's another turret close to the deploy location
 	   InitContainerRadiusSearch(%this.location, $TurretOutdoorSpaceRadius, $TypeMasks::StaticShapeObjectType);
 	   %found = containerSearchNext();
 	   if (isObject(%found))
 		{
 			%foundName = %found.getDataBlock().getName();     
 			if ((%foundName $= "TurretDeployedFloorIndoor") || (%foundName $= "TurretDeployedWallIndoor") || (%foundName $= "TurretDeployedCeilingIndoor") || (%foundName $= "TurretDeployedOutdoor"))
 				return 0;
 		}
 
 		//now see if there are too many turrets in the area...
 	   %highestDensity = 0;
 	   InitContainerRadiusSearch(%this.location, $TurretOutdoorSphereRadius, $TypeMasks::StaticShapeObjectType);
 	   %found = containerSearchNext();
 	   while (isObject(%found))
 	   {
 	      %foundName = %found.getDataBlock().getName();
 	      if ((%foundName $= "TurretDeployedFloorIndoor") || (%foundName $= "TurretDeployedWallIndoor") || (%foundName $= "TurretDeployedCeilingIndoor") || (%foundName $= "TurretDeployedOutdoor"))
 	      {
 				//found one
 				%numTurretsNearby++;
 
 				%nearbyDensity = testNearbyDensity(%found, $TurretOutdoorSphereRadius);
 				if (%nearbyDensity > %highestDensity)
 					%highestDensity = %nearbyDensity;     
 	      }
 	     %found = containerSearchNext();
 	   }
 
 		if (%numTurretsNearby > %highestDensity)
 			%highestDensity = %numTurretsNearby;
 
 		//now see if the area is already saturated
 		if (%highestDensity > $TurretOutdoorMaxPerSphere)
 			return 0;
 	}

	//check equipment requirement
	%needEquipment = AINeedEquipment(%this.equipment, %client);

        //if don't need equipment, see if we've past the "point of no return", and should continue regardless
 	if (!%needEquipment && %this.clientLevel1 == %client)
 	{
                
 		
 		//if we're too far from the inv to go back, or we're too close to the deploy location, force continue
 		////if (%closestDist > 50 && VectorDist(%client.player.getWorldBoxCenter(), %task.location) < 50) - changed - Lagg...
                if (%closestDist > 25)
 		{
 			%weight = AIODefault::weight(%this, %client, %level, %inventoryStr);
 			if (%weight < $AIWeightContinueDeploying)
 				%weight = $AIWeightContinueDeploying;

 			return %weight;
 		}
 	}

	//if this bot is linked to a human who has issued this command, up the weight
	if (%this.issuedByClientId == %client.controlByHuman)
	{
		//make sure we have the potential to reach the minWeight
		if (!AIODefault::QuickWeight(%this, %client, %level, %minWeight))
		{
			if ($AIWeightHumanIssuedCommand < %minWeight)
				return 0;
			else
				%weight = $AIWeightHumanIssuedCommand;
		}
		else
		{
			// calculate the default...
			%weight = AIODefault::weight(%this, %client, %level, %inventoryStr);
			if (%weight < $AIWeightHumanIssuedCommand)
				%weight = $AIWeightHumanIssuedCommand;
		}
	}
	else
	{
		//make sure we have the potential to reach the minWeight
		if (!AIODefault::QuickWeight(%this, %client, %level, %minWeight))
			return 0;

		// calculate the default...
		%weight = AIODefault::weight(%this, %client, %level, %inventoryStr);
	}

        if (!%needEquipment)
           %weight += 400;

	return %weight;
}